<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog General
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
  	$option[]= array( 
		"name"			=> esc_html__('Title Box','reza'),
 		"id"			=> "title",
 		"default"		=> esc_html__('Title Box','reza'),
 		"type"			=> "text",
 		   
	);
	
	$option[]= array( 
		"name"				=> esc_html__('Number of Posts to show','reza'),
 		"id"				=> "number",
 		"default"			=> 5,
   		"type"				=> "number",
 		  
	);

	 
	$option[]= array( 
		"name"			=> esc_html__('Category','reza'),
 		"id"			=> "multi_cats",
  		"type"			=> "multicheck",
 		"desc"			=> __('If you do not select a category, all categories will be placed','reza'),
		
 		"options"		=>  reza_category_array_options('cats'),						
 	);
		
	$option[]= array( 
		"name"			=> esc_html__('Orderby','reza'),
 		"id"			=> "orderby",
  		"type"			=> "select",
		"options"		=>  reza_array_options('orderby'),						
 	); 
	 
	 
 	$option[]= array( 
		"name"			=> esc_html__('Tabs','reza'),
 		"id"			=> "tabs",
  		"desc"			=>  esc_html__('Add tabs','reza'),
		"type"			=> "tabs",
 		"options"		=>  array(
			 array(
  				"name"		=>  esc_html__('Title','reza'),
  				"id"		=> "title",
 				"type"		=> "text",
 			),
			array(
 				"name"			=> esc_html__('Category','reza'),
 				"id"			=> "cats",
  				"type"			=> "select",
				"options"		=>  reza_category_array_options('cats'),	
			),
			array(
  				"name"		=>  esc_html__('Orderby','reza'),
  				"id"		=> "orderby",
 				"type"		=> "select",
				"options"	=>  reza_array_options('orderby'),						
 			),  	
 		),
	);	  	 
	$option[]= array( 
		"name"			=> esc_html__('Ignore Sticky Posts','reza'),
 		"id"			=> "ignore_sticky_posts",
		"default"		=> '1' ,
		"type"			=> "checkbox",
  	);  

	$option[]= array( 
		"name"			=> esc_html__('Limit Title length','reza'),
 		"id"			=> "title_limit",
		"desc"			=>  esc_html__('example: "100"','reza'),
 	
   		"type"			=> "number",
   	); 
	
	
	$option[]= array( 
			"name"			=> esc_html__('Show Excerpt Posts','reza'),
			"id"			=> "excerpt",
			"type"			=> "checkbox",
			"default"		=> 1,
		);
		
		
	/////////////////////////////////ELMENET Blog	
	if(!empty($excerpt_2)){	
		$option[]= array( 
				"name"			=> esc_html__('Show Excerpt Posts For Second Layout','reza'),
				"id"			=> "excerpt_2",
				"type"			=> "checkbox",
			"fold"			=>!empty($layout_2_fold)?$layout_2_fold:'',
				"default"		=> 0,
			);	
			
	}
	
	
	$option[]= array( 
		"name"			=> esc_html__('Limit Excerpt length','reza'),
 		"id"			=> "excerpt_limit",
 		"fold"			=>	array( 	
  			"1"				=> "excerpt",
   		), 
		"desc"			=>  esc_html__('example: "200"','reza'),
   		"type"			=> "number",
   	); 
	if(!empty($meta)){			
		$option[]= array( 
			"name"			=> esc_html__('Blog Meta','reza'),
			"id"			=> "meta",
			"default"		=> array("meta_author"=>1,"meta_date"=>'1'),
				
			"type"			=> "multi_options",
			"options"		=>  reza_multi_array_options('meta'),						
		);  
	}
	if(!empty($meta_text)){			
		$option[]= array( 
			"name"			=> esc_html__('Blog Meta','reza'),
			"id"			=> "meta",
			"default"		=> array("meta_author"=>1,"meta_date"=>'1'),
				
			"type"			=> "multi_options",
			"options"		=>  reza_multi_array_options('meta_text'),						
		);  
	}
	if(!empty($image)){			
		$option[]= array( 
			"name"			=> esc_html__('Icon in Hover post','reza'),
			"id"			=> "hover_post_icon",
			"type"			=> "select",
			"options"		=>  array(
									'' 		=>   		esc_html__('Default', 'reza' ),
									'show'	=>   esc_html__('Show', 'reza' ),
									'hide'	=>   esc_html__('Hide', 'reza' ),
						)					
		);  
	}
	
	$option[]= array( 
		"name"			=> esc_html__('Show Read More','reza'),
		"id"			=> "readmore",
		"type"			=> "checkbox",
		
   	);   
	
	if(!empty($more_posts)){
	$option[]= array( 
		"name"			=> esc_html__('More Posts','reza'),
 		"id"			=> "more_posts",
		"type"			=> "select",
 		"options"		=>   array( 
			""			=> 	__('None','reza'),
			"load_more"		=> 	__('Load More','reza'),
  			 
		),										
		
 	);    
	}	
	if(!empty($more_page_posts)){
	$option[]= array( 
		"name"			=> esc_html__('More Posts','reza'),
 		"id"			=> "more_posts",
		"type"			=> "select",
 		"options"		=>   array( 
			""			=> 	__('None','reza'),
			"load_more"		=> 	__('Load More','reza'),
			"pagenavi"		=>  esc_html__('Page Number','reza'),
  			 
		),										
		
 	);    
	}